SDL_Semaphore(3type)

NAME
SDL_Semaphore - A means to manage access to a resource, by count, between threads.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

typedef struct SDL_Semaphore SDL_Semaphore;

DESCRIPTION
Semaphores (specifically, "counting semaphores"), let X number of threads request access at the same time, each thread granted access decrementing a counter. When the counter reaches zero, future requests block until a prior thread releases their request, incrementing the counter again.

Wikipedia has a thorough explanation of the concept:

https://en.wikipedia.org/wiki/Semaphore_(programming)

AVAILABILITY
This struct is available since SDL 3.2.0.